{% extends "base.html" %}
{% load static %}
{% block titulo %}
Listado Cuentas Corriente Material
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navCajaMaterial").attr('class','active');
  $("#navListaCtesMa").attr('class','active');
</script>
<div class="row">
  <div class="col-md-12" >
    <div class="panel panel-default" >
      <div class="panel-heading panel-material"> <strong>LISTADO DE CUENTAS CORRIENTES MATERIAL</strong></div>
      <div class="panel-body">
        <div class="row" id="Result">
          {% ifnotequal resultado '' %}
          {% ifequal resultado 'exito' %}
          <div class="alert alert-success" role="alert" align="center">
            <h4>OPERACION EXITOSA!!</h4>
          </div>
          {% else %}
          <div class="alert alert-danger" role="alert" align="center">
            <h4>FALLO OPERACION: {{resultado}}</h4>
          </div>
          {% endifequal %}
          {% endifnotequal %}
        </div>
        <div class="row">
          <div class="col-md-2">
            <button type="button" class="btn btn-warning btn-sm" id="btnRefrescar">Actualizar Lista</button>
          </div>
          <div class="col-md-1 col-md-offset-3" align="right">
            <label>Cliente:</label>
          </div>
          <div class="col-md-4">
            <input type="text" class="form-control" id="txt_filtro" name="nombretitular" placeholder="DNI / RUC, Nombres o Apellidos" autocomplete="off">
          </div>
          <div class="col-md-2">
            <button type="button" class="btn btn-danger btn-sm" id="btnFiltrar">Buscar</button>
          </div>
        </div>
        <p></p>
        <div class="row">
          <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover">
                    <thead>
                      <tr>
                        <th>DNI/RUC</th>
                        <th>Cliente</th>
                        <th>Fecha Apertura</th>
                        <th>Oficia de Apertura</th>
                        <th>Saldo</th>
                        <th>Estado</th>
                      </tr>
                    </thead>
                    <tbody id="listaC">
                        
                    </tbody>
                </table>
              </div>
          </div>
        </div>
        <br>
        <div class="row">
          <div class="col-md-10 col-md-offset-1" align="center">
            <nav>
              <ul class="pagination ">
                <li>
                  <a href="#" aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                  </a>
                </li>
                <li class="active"><a href="#">1</a></li>
                <li>
                  <a href="#" aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                  </a>
                </li>
              </ul>
            </nav>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- modificar cuentas -->
<div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Detalles</h4>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-6" >
              <div class="panel panel-default">
                <div class="panel-heading"> <strong>Detalle de Cliente</strong></div>
                  <div class="panel-body">
                    <div class="row">
                      <div class="col-md-2">
                        <label id="dniRUC"> DNI/RUC </label>
                      </div>
                      <div class="col-md-6">
                         <input type="text" class="form-control" id="txtDNIcli" disabled="disabled" name="DniCli" readonly>
                      </div>

                    </div>
                    <br>
                    <div class="row">
                       <div class="col-md-12">
                          <label class="radio-inline">
                            <input type="radio"id="rbNatural" name="TipoPersona1" value="natural" disabled> Persona Natural
                          </label>
                          <label class="radio-inline">
                            <input type="radio"id="rbJuridica" name="TipoPersona1" value="natural" disabled> Persona Juridica
                          </label>
                          <p></p>
                      </div>
                    </div>
                    <p></p>
                    <div class="row">
                        <div class="col-md-3"> 
                          <label id="nombreRazon">Nombres</label> 
                        </div>
                        <div class="col-md-9">
                          <input type="text" class="form-control" id="txtNombre" name="NombreCli" readonly>  
                        </div> 
                    </div>
                    <p></p>
                    <div class="row" id="campoAp2">
                      <div class="col-md-5" > 
                        <label>Apellido Paterno</label> 
                      </div>
                      <div class="col-md-7">
                        <input type="text" class="form-control" id="txtAPcli" name="PaternoCli" readonly>  
                      </div> 
                        
                    </div>
                    <p></p>
                    <div class="row">
                      <div class="col-md-5" > 
                          <label>Apellido Materno</label> 
                        </div>
                        <div class="col-md-7">
                          <input type="text" class="form-control" id="txtAMcli" name="MaternoCli" readonly>  
                        </div> 
                    </div>
                  </div>
              </div>
          </div>
          <div class="col-md-6">
            <div class="row">
              <div class="panel panel-success">
                <div class="panel-heading"> <strong>Detalle de Cuenta</strong></div>
                <div class="panel-body">
                  <div class="row">
                      <div class="col-md-2"> 
                        <label id="">ID</label> 
                      </div>
                      <div class="col-md-5">
                        <input type="text" class="form-control" id="txtpk"readonly>  
                      </div> 
                  </div>
                  <p></p>
                  <div class="row">
                      <div class="col-md-5"> 
                        <label id="">Fecha Apertura</label> 
                      </div>
                      <div class="col-md-6">
                        <input type="text" class="form-control" id="txtfecha" readonly>  
                      </div> 
                  </div>
                  <p></p>
                  <div class="row">
                    <div class="col-md-3" > 
                        <label>Saldo</label> 
                      </div>
                      <div class="col-md-9">
                        <div class="input-group">
                          <input type="text" class="form-control" id="txtsaldo" aria-describedby="sp_s" readonly>
                          <span class="input-group-addon sp-moneda" id="sp_s">gr.</span>
                        </div>  
                      </div> 
                  </div>
                  <p></p>
                  <div class="row">
                    <div class="col-md-5 col-md-offset-1">
                      <input class="btn btn-warning btn-block btn-sm" type="button" id="btnSolretirar" value="Retirar">
                    </div>

                    <div class="col-md-5">
                      <input class="btn btn-success btn-block btn-sm" type="button" id="btnSoldepositar" value="Depositar">
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!--
            <div class="row">
              <div class="panel panel-default">
                <div class="panel-heading"> <strong>Configurar cta</strong></div>
                <div class="panel-body">
                  <div class="row">
                    <div class="col-md-5 col-md-offset-1">
                      <input class="btn btn-primary btn-block btn-xs" type="button" id="btnBloquearRetiro" value="Bloquear Retiros">
                    </div>

                    <div class="col-md-5">
                      <input class="btn btn-danger btn-block btn-xs" type="button" id="btnCerrarCta" value="Cerrar Cuenta">
                    </div>
                  </div>
                  <p></p>
                  <div class="row">
                    <div class="col-md-5 col-md-offset-1">
                      <input class="btn btn-success btn-block btn-xs" type="button" id="btnHabilitarRetiro" value="Habilitar Retiros">
                    </div>

                    <div class="col-md-5">
                      <input class="btn btn-success btn-block btn-xs" type="button" id="btnHabilitarCta" value="Habilitar Cuenta">
                    </div>
                  </div>
                </div>
              </div>
            </div>
            -->
          </div>
        </div>
        <p></p>
        <div class="row">
          <div class="col-md-2">
            <input class="btn btn-primary btn-block btn-sm" type="button" id="movimientos" value="Movimientos">
          </div>

        </div>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-danger btn-sm" data-dismiss="modal">Cerrar</button>

      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>
<div id="modal_realizar_movimeinto" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Detalles</h4>
      </div>
      <div class="modal-body">
        <form action="#" method="POST" data-toggle="validator" role="form" id="formulario"> {% csrf_token %}
          <div class="row">
            <div class="col-md-10 col-md-offset-1">
              <div class="panel panel-default">
                  <div class="panel-heading"> <strong>Detalle de Cuenta</strong></div>
                    <div class="panel-body">
                      <div class="row">
                          <div class="col-md-2"> 
                            <label id="">ID</label> 
                          </div>
                          <div class="col-md-5">
                            <input type="text" class="form-control" id="txtpk_form" name="pk" readonly>  
                          </div> 
                      </div>
                      <p></p>
                      <!--
                      <div class="row">
                        <div class="col-md-5" align="right">
                          <label class="control-label ">Fecha de Operacion:</label>
                        </div>
                        <div class="col-md-5">
                          <div class="form-group">
                            <input type="text" class="form-control" id="txtfecha_form" name="fecha" required>
                            <div class="form-control-feedback" style="text-align:left;" ></div>
                            <div class="help-block with-errors"></div>
                          </div>
                          <p></p>
                        </div>
                      </div>
                      <p></p>
                      -->
                      <div class="row">
                        <div class="col-md-3" > 
                            <label>Saldo</label> 
                          </div>
                          <div class="col-md-9">
                            <div class="input-group">
                              <input type="text" class="form-control" id="txtsaldo_form" name="saldo" aria-describedby="sp_s" readonly>
                              <span class="input-group-addon sp-moneda" id="sp_s">gr.</span>
                            </div>  
                          </div> 
                      </div>
                      <p></p>
                      <div class="row">
                          <div class="col-md-5"  align="right"> 
                            <label>Monto <span id="text_movi"></span>:</label> 
                          </div>
                          <div class="col-md-7">
                            <div class="form-group">
                              <div class="input-group">
                                <input type="text" class="form-control" id="txtmonto_movi_form" name="monto_movi" placeholder="0.00" aria-describedby="sp_p" required> 
                                <span class="input-group-addon sp-moneda" id="sp_p">gr</span>
                              </div>
                              <div class="form-control-feedback" style="text-align:left;" ></div>
                              <div class="help-block with-errors"></div>
                            </div>  
                          </div> 
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-3"  align="right">
                          <label>Observación: </label>
                        </div>
                        <div class="col-md-9">
                          <div class="form-group">
                            <textarea type="text" class="form-control" id="observacion" rows="2"  name="obs"></textarea>
                            <div class="form-control-feedback" style="text-align:left;" ></div>
                            <div class="help-block with-errors"></div>
                          </div>
                          <p></p>
                        </div>
                      </div>
                      <div class="row">
                        <div class="col-md-4 col-md-offset-4">
                          <input class="btn btn-primary btn-block btn-sm" type="button" id="btnprocesar" value="">
                        </div>
                      </div>
                    </div>
              </div>
            </div>
          </div>
        </form> 
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>

      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>

<!--  movimiento de cuentas ctes -->
<div id="modal_movimientos" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Movimientos</h4>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover" id="tablaMo">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th>Fecha Operacion</th>
                        <th>Monto Deposito</th>
                        <th>Monto Retiro</th>
                        <th>Saldo</th>
                        <th>T/D</th>
                        <th>N/R</th>
                        <th>Concepto Detalle</th>
                        <th>Observaciones</th>
                        <th>Oficina</th>
                        <th>Caja</th>
                        <th>Operador</th>
                        <th></th>
                      </tr>
                    </thead>
                    <tbody id="listaM">
                        
                    </tbody>
                </table>
              </div>
          </div>
        </div>
        <p></p>
        <div class="row">
          <div class="col-md-3">
            <input class="btn btn-inverse btn-block" type="button" id="imprimir_movimientos" value="Imprimir Movimientos">
          </div>

        </div>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>

      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>

<div id="modalrecibo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Detalles</h4>
      </div>
      <div class="modal-body">
        <div  id="platillaI" style="font-family:'Lucida Console', Monaco, monospace;font-size:11px;">
            <table>
              <tr align="center">
                <td><label id="operacion">{{ operacion }}</label></td>
              </tr>
              <tr><td  align="center" nowrap>========================</td> </tr>
            </table>
            <label>Oficina: <span id="oficinaRecibo">{{ SITE_URL }}</span></label>
            <table>
              <tr>
                <td id="caja">{{ caja }}</td>
                <td><div style="width:50px;"> </div></td>
                <td ><span id="tdRE"></span> N°<span id="nroRe"></span></td>
              </tr>
            </table>
            <table>
              <tr>
                <td>FECHA: </td>
                <td><div style="width:10px;"> </div></td>
                <td id="fechaRecibo" nowrap></td>
                <td>&nbsp;</td>
                <td id="horaRecibo" nowrap></td>
              </tr>
            </table>
            <table>
              <tr>
                <td><b>Cliente: </b></td>
                <td id="recibi"></td>
              </tr>
              <tr>
                <td><b>DNI: </b></td>
                <td id="dni"></td>
              </tr>
            </table>

            <table>
              <tr>
                <td>Concepto:</td>
                <td>
                  <div style="width:10px;"> </div>
                </td>
                <td id="concepto"></td>
              </tr>
              <tr>
                <td>Cantidad:</td>
                <td>
                  <div style="width:10px;"> </div>
                </td>
                <td id="importe"></td>
              </tr>
              <tr>
                <td>Saldo:</td>
                <td>
                  <div style="width:10px;"> </div>
                </td>
                <td id="saldo">{{ saldo_cta }}</td>
              </tr>
            </table>
            <br>
            <br>
            <table>
              <tr>
                <td>____________________</td>
              </tr>
              <tr>
                <td id ="recibi1"></td>
              </tr>
              <tr>
                <td><div style="height:25px;"> </div></td>
              </tr>
              <tr>
                <td>____________________</td>
              </tr>
              <tr>
                <td id="operador" nowrap>OP. {{ nombre_usuario }}</td>
              </tr>
            </table>
        </div>
      </div>
      <div class="modal-footer">
        <hr>
        <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
      </div>

    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<script type="text/javascript">
  var Aux="";
  var AuxM=[];
  var filaInM=0;
  var filaI =0;
  var  filtro={};
  $(document).ready(function () {
     $('#txtfecha_form').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
    });
    $('#txtDniC').numeric();
    $('#txtmonto_movi_form').numeric('.');
    {% ifnotequal resultado '' %}
      {% ifequal resultado 'exito' %}
            var mr ="gr "
            var fechaRecibo= '{{fechaRecibo}}'
            var horaRecibo='{{horaRecibo}}'
            var nombreRecibo='{{nombreRecibo}}'
            var montoRecibo='{{montoRecibo}}'
            var conceptoDetalleRecibo='{{conceptoDetalleRecibo}}'
            var usuario='{{user.username}}'
            //var dniRecibo='{{dniRecibo}}'
            var oficinaRecibo='{{oficinaRecibo}}'
            $("#nroRe").text('{{nroRecibo}}');
            $("#tdRE").text('{{td}}');
            $("#dni").text('{{dniRecibo}}');
            
            $("#recibi").text(nombreRecibo);
            
            $("#oficinaRecibo").text(oficinaRecibo);
            $("#horaRecibo").text(horaRecibo);
            $("#fechaRecibo").text(fechaRecibo);
            $("#importe").text(mr+montoRecibo);
            $("#concepto").text(conceptoDetalleRecibo);
            $("#recibi1").text("Sr(a): "+nombreRecibo.substring(0,15));
            $("#recibi12").text("Sr(a): "+nombreRecibo.substring(0,15));
            $("#platillaI").printThis();
    {% endifequal %}
    {% endifnotequal %}

    $('input').on('keypress', function(e){
      if(e.keyCode == 13)
      {
        var inputs = $(this).parents("form").eq(0).find(":input.form-control");
        var idx = inputs.index($(this));
        if (idx == inputs.length - 1) {
          inputs[0].select()
        } 
        else {
          inputs[idx + 1].focus(); //  handles submit buttons
          inputs[idx + 1].select();
        }
        return false;
      }
    });

    ajax_ctas();
    $(document).on("click",".filaC",function(){
      var num = $(this).attr('id');
      filaI = num;
      var fila= $(this).attr('class');
      //$("."+fila).attr('class','filaC');
      //$("#"+num).attr('class','filaC ');
       $("#formulario").prop('action','#');
      $("#btnprocesar").prop('value',"");
      $("#text_movi").text("");
      $("#txtpk").attr('value',null)
      $("#txtpk_form").attr('value',null)
      $("#txtDNIcli").attr('value',null)
      $("#txtNombre").prop('value',null);
      $("#txtAPcli").prop('value',null);
      $("#txtAMcli").prop('value',null);
      $("#txtfecha").prop('value',null);
      $("#txtsaldo").prop('value',null);
      $("#txtsaldo_form").prop('value',null);
      //-------------------------
      if(Aux[filaI].tp == 'Natural'){
        $("#dniRUC").text("DNI");
        $("#nombreRazon").text("Nombres");
        $("#rbNatural").prop("checked", true);
        $("#txtDNIcli").attr('value',Aux[filaI].dni);
        $("#campoAp1").show();
        $("#campoAp2").show();
      }
      else{
        $("#dniRUC").text("RUC");
        $("#nombreRazon").text("Razon Social");
        $("#rbJuridica").prop("checked", true);
        $("#txtDNIcli").attr('value',Aux[filaI].dni);
        $("#campoAp1").hide();
        $("#campoAp2").hide();
      }
      $("#txtpk").attr('value',Aux[filaI].pk)
      $("#txtpk_form").attr('value',Aux[filaI].pk)
      $("#txtDNIcli").attr('value',Aux[filaI].dni)
      $("#txtNombre").prop('value',Aux[filaI].nom);
      $("#txtAPcli").prop('value',Aux[filaI].ap);
      $("#txtAMcli").prop('value',Aux[filaI].am);
      $("#txtfecha").prop('value',Aux[filaI].fa);
      $("#txtsaldo").prop('value',Aux[filaI].saldo);
      $("#txtsaldo_form").prop('value',Aux[filaI].saldo);
      
    });
    $("#btnRefrescar").click(function(){
      ajax_ctas();
    });
  
    $("#btnSoldepositar").click(function(){
      $("#modal_realizar_movimeinto").modal('show');
      $("#formulario").prop('action','/depositar_cta_cte_material/');
      $("#btnprocesar").prop('value',"DEPOSITAR");
      $("#btnprocesar").prop('class','btn btn-success btn-block btn-sm')
      $("#text_movi").text("Deposito");

    })
    $("#btnSolretirar").click(function(){
      $("#modal_realizar_movimeinto").modal('show');
      $("#formulario").prop('action','/retirar_cta_cte_material/');
      $("#btnprocesar").prop('value',"RETIRAR");
      $("#btnprocesar").prop('class','btn btn-warning btn-block btn-sm')
      $("#text_movi").text("Retiro");
    })
    $("#btnprocesar").click(function(e){
      e.preventDefault();
      $("#btnprocesar").prop('disabled',true);
      $("#formulario").submit();
    })
    $("#movimientos").click(function(){
      $("#modal_movimientos").modal('show');
      $('#listaM').html('');
      AuxM=[];
      ajax_ctas_movimientos();
    })
    function ajax_ctas(){
      $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
      $.ajax({
        url:'/listaCuentasCteMaterial_activos_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          Aux = data;
          var html ="";
          var sty='';
          for(var i=0;i<data.length;i++){
            if(data[i].estado=='cerrado'){
              sty='danger';
            }
            else{
              if(data[i].estado=='depositos'){
                sty="warning";
              }
              else{
                sty='';
              }
            }
              html += '<tr data-toggle="modal" data-target="#myModal" class="filaC '+ sty +'" id="'+i+'"><td>'+data[i].dni+'</td><td>'+data[i].nom+' '+data[i].ap+'</td><td>'+data[i].fa+'</td><td>'+data[i].oa+'</td><td>'+data[i].saldo+'</td><td>'+data[i].estado+'</td></tr>';
             
          }
          $('#listaC').html(html);
          $('.table-responsive').waitMe('hide');
        }
      });
    }
    //
    function ajax_ctas_movimientos(){
      $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
      $.ajax({
        data:{'pkCta':$("#txtpk").val()},
        url:'/lista_Movi_CuentasCteMaterial_activos_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          AuxM= data;
          var html ="";
          for(var i=0;i<data.length;i++){
              html += '<tr><th scope="row">'+(i+1)+'</th><td>'+data[i].fecha+'</td><td>'+data[i].deposito+'</td><td>'+data[i].retiro+'</td><td>'+data[i].saldo+'</td><td>'+data[i].td+'</td><td>'+data[i].nr+'</td><td>'+data[i].concepto+'</td><td>'+data[i].obs+'</td><td>'+data[i].oficina+'</td><td>'+data[i].caja+'</td><td>'+data[i].ope+'</td><td ><button type="button" class="btn reimprimir btn-primary btn-sm" data-value="'+i+'"><span class="glyphicon glyphicon-print" aria-hidden="true"></span></button></td></tr>';
          }
          $('#listaM').html(html);
          $('.table-responsive').waitMe('hide');
          $('.reimprimir').click(function(){
            var ind=$(this).attr('data-value');
            reimprimirMovimiento(ind)
          });
        }
      });
    }
    //
    function reimprimirMovimiento(i){
      var usuario='{{user.username}}'
      //var dniRecibo='{{dniRecibo}}'
      $("#nroRe").text(AuxM[i].nr);
      $("#tdRE").text(AuxM[i].td);
      $("#dni").text(AuxM[i].dni);
      $("#recibi").text(AuxM[i].nombre);
      mr="gr. "


      $("#horaRecibo").text(AuxM[i].hora_ope);
      $("#fechaRecibo").text(AuxM[i].fecha_ope);
      if (AuxM[i].td=='R/IM'){
        $("#importe").text(mr+AuxM[i].deposito);
        $("#operacion").text('DEPOSITO')
      }
      else{
        $("#importe").text(mr+AuxM[i].retiro);
        $("#operacion").text('RETIRO')
      }
      $("#oficinaRecibo").text(AuxM[i].oficina);
      $("#concepto").text(AuxM[i].concepto);
      $("#operador").text(AuxM[i].ope);
      $("#saldo").text(AuxM[i].saldo);
      $("#recibi1").text("Sr(a): "+AuxM[i].nombre.substring(0,15));
      $("#platillaI").printThis();
    }

     $(document).on('show.bs.modal', '.modal', function () {
        var zIndex = 1040 + (10 * $('.modal:visible').length);
        $(this).css('z-index', zIndex);
        setTimeout(function() {
            $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
        }, 0);
    });
    $(document).on('hidden.bs.modal', '.modal', function () {
        $('.modal:visible').length && $(document.body).addClass('modal-open');
    });

    $("#imprimir_movimientos").click(function(){
        var d = new Date();
        var n = d.toLocaleString();

        var doc = new jsPDF('p', 'pt');
        var res = doc.autoTableHtmlToJson(document.getElementById("tablaMo"));
        doc.setFontSize(14);
        doc.text("Reporte Movimientos Cuenta Corriente Material", 20, doc.autoTableEndPosY() + 30);
        doc.setFontSize(8);
        doc.text('Socio: '+$("#txtNombre").val()+' '+$("#txtAPcli").val()+' '+$("#txtAMcli").val(), 20, 60);
        doc.text('DNI/RUC: '+$("#txtDNIcli").val(), 20, 80);
        doc.text('Fecha: '+n, 20, 100);
        doc.autoTable(res.columns, res.data, {
            fontSize: 7,
            margin: {horizontal: 20},
            startY: doc.autoTableEndPosY() + 120,
            margin: {horizontal: 10},
            styles: {overflow: 'linebreak'},
            bodyStyles: {valign: 'top'},
            columnStyles: {email: {columnWidth: 'wrap'}},
            theme: 'grid',
        });
        doc.save('ReporteMovimientosCtaCteMaterial.pdf');
    })
    //---
    

    $("#btnFiltrar").click(function(){
      ajax_ctas_filtro();
    })

    function ajax_ctas_filtro(){
      $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
      $.ajax({
        data:{'dni':$("#txt_filtro").val()},
        url:'/listaCuentasCteMaterial_activos_filtro_cli_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          Aux = data;
          var html ="";
          var sty='';
          for(var i=0;i<data.length;i++){
            if(data[i].estado=='cerrado'){
              sty='danger';
            }
            else{
              if(data[i].estado=='depositos'){
                sty="warning";
              }
              else{
                sty='';
              }
              
            }
              html += '<tr data-toggle="modal" data-target="#myModal" class="filaC '+sty+'" id="'+i+'">><td>'+data[i].dni+'</td><td>'+data[i].nom+' '+data[i].ap+'</td><td>'+data[i].fa+'</td><td>'+data[i].oa+'</td><td>'+data[i].saldo+'</td><td>'+data[i].estado+'</td></tr>';
             
          }
          $('#listaC').html(html);
          $('.table-responsive').waitMe('hide');
        }
      });
    }
    /*
    //------------------------------- configuraciones -----------------------
    $("#btnCerrarCta").click(function(){
      ajax_cerrar_cta();
    })
    function ajax_cerrar_cta(){
      $.ajax({
        data:{'id_cta':$("#txtpk").val()},
        url:'/cerrar_cta_ahorro_cte_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          if(data.exito=='exito'){
            swal("Exito",'Cta Cerrado', "success");
            $("#myModal").modal('hide');
            ajax_ctas();
          }
          else{
            swal("Error",data.exito, "error");
            ajax_ctas();
          }
        }
      });
    }
    //--------------
    $("#btnHabilitarCta").click(function(){
      ajax_habilitar_cta();
    })
    function ajax_habilitar_cta(){
      $.ajax({
        data:{'id_cta':$("#txtpk").val()},
        url:'/habilitar_cta_ahorro_cte_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          if(data.exito=='exito'){
            swal("Exito",'Cta Habilitado', "success");
            $("#myModal").modal('hide');
            ajax_ctas();
          }
          else{
            swal("Error",data.exito, "error");
            ajax_ctas();
          }
        }
      });
    }
    //--------------------
    $("#btnBloquearRetiro").click(function(){
      ajax_bloquear_retiro_cta();
    })
    function ajax_bloquear_retiro_cta(){
      $.ajax({
        data:{'id_cta':$("#txtpk").val()},
        url:'/bloquear_retiros_cta_ahorro_cte_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          if(data.exito=='exito'){
            swal("Exito",'Cta Bloqueado Retiros', "success");
            $("#myModal").modal('hide');
            ajax_ctas();
          }
          else{
            swal("Error",data.exito, "error");
            ajax_ctas();
          }
        }
      });
    }
    //-------------------------------
    $("#btnHabilitarRetiro").click(function(){
      ajax_habilitar_retiro_cta();
    })
    function ajax_habilitar_retiro_cta(){
      $.ajax({
        data:{'id_cta':$("#txtpk").val()},
        url:'/habilitar_retiros_cta_ahorro_cte_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          if(data.exito=='exito'){
            swal("Exito",'Cta Habilitado Retiros', "success");
            $("#myModal").modal('hide');
            ajax_ctas();
          }
          else{
            swal("Error",data.exito, "error");
            ajax_ctas();
          }
        }
      });
    }
    //-------------------------- end configuraciones ------------------
    */
  });
</script>
{% endblock content1 %}